VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig Class Reference

`Snmp.SNMPConfig` class Structure that defines the SNMP configuration, provided as input to set(), and never the result of get(). More...

List of all members.

## Public Member Functions
| SNMPConfig ()
| Creates a default new instance.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto | GetAuthentication ()
| Set the default authentication protocol.
void | SetAuthentication (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto authentication)
| Set the default authentication protocol.
global::System.Collections.Generic.List < string > | GetCommunities ()
| Set up to ten communities, each of no more than 64 characters long.
void | SetCommunities (global::System.Collections.Generic.List< string > communities)
| Set up to ten communities, each of no more than 64 characters long.
string | GetEngineid ()
| Set SNMPv3 engine ID.
void | SetEngineid (string engineid)
| Set SNMPv3 engine ID.
string | GetLoglevel ()
| System Agent syslog logging level: debug|info|warning|error.
void | SetLoglevel (string loglevel)
| System Agent syslog logging level: debug|info|warning|error.
global::System.Collections.Generic.List < string > | GetNotraps ()
| Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.
void | SetNotraps (global::System.Collections.Generic.List< string > notraps)
| Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.
long | GetPort ()
| Set up a UDP port which the SNMP agent uses to listen on for polling requests.
void | SetPort (long port)
| Set up a UDP port which the SNMP agent uses to listen on for polling requests.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto | GetPrivacy ()
| Set the default privacy protocol.
void | SetPrivacy (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto privacy)
| Set the default privacy protocol.
global::System.Collections.Generic.List < string > | GetRemoteusers ()
| Set up to five inform user IDs.
void | SetRemoteusers (global::System.Collections.Generic.List< string > remoteusers)
| Set up to five inform user IDs.
string | GetSyscontact ()
| System contact string as presented in sysContact.0.
void | SetSyscontact (string syscontact)
| System contact string as presented in sysContact.0.
string | GetSyslocation ()
| System location string as presented in sysLocation.0.
void | SetSyslocation (string syslocation)
| System location string as presented in sysLocation.0.
global::System.Collections.Generic.List < string > | GetTargets ()
| Set up to three targets to which to send SNMPv1 traps.
void | SetTargets (global::System.Collections.Generic.List< string > targets)
| Set up to three targets to which to send SNMPv1 traps.
global::System.Collections.Generic.List < string > | GetUsers ()
| Set up to five local users.
void | SetUsers (global::System.Collections.Generic.List< string > users)
| Set up to five local users.
global::System.Collections.Generic.List < string > | GetV3targets ()
| Set up to three SNMPv3 notification targets.
void | SetV3targets (global::System.Collections.Generic.List< string > v3targets)
| Set up to three SNMPv3 notification targets.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPConfig` class Structure that defines the SNMP configuration, provided as input to set(), and never the result of get().

See SNMPConfigReadOnly. This structure is used to configure SNMP v1, v2c, and v3.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SNMPConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::Equals | ( | object | obj | ) | `[inline]`

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetAuthentication | ( |  | ) | `[inline]`

Set the default authentication protocol.

Values can be none, MD5, or SHA1.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetCommunities | ( |  | ) | `[inline]`

Set up to ten communities, each of no more than 64 characters long.

The format is: community1[,community2,...]. This setting overwrites any previous settings.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetEngineid | ( |  | ) | `[inline]`

Set SNMPv3 engine ID.

The engine ID must contain 5 to 32 hexadecimal characters. "0x" and colon (:) are removed from the ID.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetLoglevel | ( |  | ) | `[inline]`

System Agent syslog logging level: debug|info|warning|error.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetNotraps | ( |  | ) | `[inline]`

Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.

Use 'reset' to clear the setting.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetPort | ( |  | ) | `[inline]`

Set up a UDP port which the SNMP agent uses to listen on for polling requests.

The default UDP port is 161.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetPrivacy | ( |  | ) | `[inline]`

Set the default privacy protocol.

Values: none or AES128.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetRemoteusers | ( |  | ) | `[inline]`

Set up to five inform user IDs.

The format is: user/auth-proto/-|auth-hash/priv-proto/-|priv-hash/engine-id[,...]. Here, user must be maximum 32 characters long; auth-proto is none, MD5 or SHA1; priv-proto is none or AES; '-' indicates no hash; engine-id is a hexadecimal string '0x0-9a-f' and must be up to 32 characters long.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetSyscontact | ( |  | ) | `[inline]`

System contact string as presented in sysContact.0.

Up to 255 characters long.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetSyslocation | ( |  | ) | `[inline]`

System location string as presented in sysLocation.0.

Up to 255 characters long.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetTargets | ( |  | ) | `[inline]`

Set up to three targets to which to send SNMPv1 traps.

The format is: ip-or-hostname[]/community[,...]. The default port is UDP 162. This setting overwrites any previous settings.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetUsers | ( |  | ) | `[inline]`

Set up to five local users.

The format is: user/-|auth-hash/-|priv-hash/model[,...]. Here user is maximum 32 characters long; '-' indicates no hash; model is one of none, auth or priv.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::GetV3targets | ( |  | ) | `[inline]`

Set up to three SNMPv3 notification targets.

Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...].

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetAuthentication | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto | authentication | ) | `[inline]`

Set the default authentication protocol.

Values can be none, MD5, or SHA1.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetCommunities | ( | global::System.Collections.Generic.List< string > | communities | ) | `[inline]`

Set up to ten communities, each of no more than 64 characters long.

The format is: community1[,community2,...]. This setting overwrites any previous settings.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetEngineid | ( | string | engineid | ) | `[inline]`

Set SNMPv3 engine ID.

The engine ID must contain 5 to 32 hexadecimal characters. "0x" and colon (:) are removed from the ID.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetLoglevel | ( | string | loglevel | ) | `[inline]`

System Agent syslog logging level: debug|info|warning|error.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetNotraps | ( | global::System.Collections.Generic.List< string > | notraps | ) | `[inline]`

Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.

Use 'reset' to clear the setting.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetPort | ( | long | port | ) | `[inline]`

Set up a UDP port which the SNMP agent uses to listen on for polling requests.

The default UDP port is 161.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetPrivacy | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto | privacy | ) | `[inline]`

Set the default privacy protocol.

Values: none or AES128.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetRemoteusers | ( | global::System.Collections.Generic.List< string > | remoteusers | ) | `[inline]`

Set up to five inform user IDs.

The format is: user/auth-proto/-|auth-hash/priv-proto/-|priv-hash/engine-id[,...]. Here, user must be maximum 32 characters long; auth-proto is none, MD5 or SHA1; priv-proto is none or AES; '-' indicates no hash; engine-id is a hexadecimal string '0x0-9a-f' and must be up to 32 characters long.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetSyscontact | ( | string | syscontact | ) | `[inline]`

System contact string as presented in sysContact.0.

Up to 255 characters long.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetSyslocation | ( | string | syslocation | ) | `[inline]`

System location string as presented in sysLocation.0.

Up to 255 characters long.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetTargets | ( | global::System.Collections.Generic.List< string > | targets | ) | `[inline]`

Set up to three targets to which to send SNMPv1 traps.

The format is: ip-or-hostname[]/community[,...]. The default port is UDP 162. This setting overwrites any previous settings.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetUsers | ( | global::System.Collections.Generic.List< string > | users | ) | `[inline]`

Set up to five local users.

The format is: user/-|auth-hash/-|priv-hash/model[,...]. Here user is maximum 32 characters long; '-' indicates no hash; model is one of none, auth or priv.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::SetV3targets | ( | global::System.Collections.Generic.List< string > | v3targets | ) | `[inline]`

Set up to three SNMPv3 notification targets.

Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...].

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs